Subject: Re: [SWIPL] Embedded prolog applications in C++

From: Jan Wielemaker <[email-masked]>
Date: Thu, 29 Nov 2001 09:41:23 +0100

> I have been trying to get the "likes" example of using prolog as an AI
> server within a C++ application working but I keep coming up against
> troubles.  I have in terms of compilers Visual C++ 4.0 and Cygwin with G++.
> I didn't even know how to start with using plld in cooperation with VC++
> (although this is ideal) so I've been trying to use cygwin.  Unfortunately
> when I compile using make it gives a long list of errors.  I've trying
> reducing the obvious problems by the following:

You can't mix Cygwin and the Windows executable.  Either get yourself the
sources and build them from scratch on Cygwin or stick with MSVC.  To do the
latter, make sure to set PATH, INCLUDE and LIB so you can run nmake.exe, cl.exe
and link.exe from the commandline.  You can ask the MSVC installation to set this
up for you, or do it by hand. 

If you use Cygwin, please read the page on the Twiki web.

	Cheers --- Jan